Bug 818452 - [RHEL6.3 Beta] virt-p2v: covnert failed. Can't call method "is_block"
[RHEL6.3 Beta] virt-p2v: covnert failed. Can't call method "is_block"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Booth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 02:53 EDT by Hajime Taira
Modified: 2012-05-08 05:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 10:29:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hajime Taira 2012-05-03 02:53:43 EDT
Description of problem:
I convert RHEL6.2 machine to KVM Host via P2V Live CD.
Convert task was failed. It logged following log message on KVM Host.

May  3 13:30:59 warp virt-v2v[19665]: p2v-server started.
May  3 15:12:59 warp virt-v2v[19665]: FATAL: Can't call method "is_block" on an undefined value at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Connection/LibVirtTarget.pm line 360, <> line 7.
May  3 15:12:59 warp virt-v2v[19665]: p2v-server exited.

Version-Release number of selected component (if applicable):
KVM Host: RHEL6.3 Beta
P2V Live CD: RHEL6.3 Beta
libvirt-0.9.10-11.el6.x86_64
virt-v2v-0.8.3-5.el6.x86_64
Comment 2 Matthew Booth 2012-05-04 10:29:28 EDT
This version of virt-v2v is too old to support virt-p2v. You also need to use virt-v2v from the beta. This bug is fixed in the latest virt-v2v.
Comment 3 Hajime Taira 2012-05-06 10:53:52 EDT
I'm sorry. I didn't subscribe rhel-6-server-beta-rpms repo.
I tried again with following version. It works good.
virt-v2v-0.8.7-4.el6.x86_64

Will it write about requirement of P2V target in RHEL6.3 Technical Notes?
Comment 4 Matthew Booth 2012-05-08 05:26:01 EDT
I'll make sure it gets into the V2V guide.

Note You need to log in before you can comment on or make changes to this bug.